> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/get-dslicense.md).

# Get-DSLicense

Get-DSLicense récupère toutes les licences Devolutions Server configurées sur l'instance, à l'exception de la licence du serveur elle-même.

### Synopsis

Obtenir toutes les licences, à l'exception de celle du serveur

### Syntaxe

#### \_\_AllParameterSets

```
Get-DSLicense [-AsLegacyResponse] [<CommonParameters>]
```

### Description

Obtenir toutes les licences, à l'exception de celle du serveur. Pour obtenir les utilisateurs qui ont été assignés à une licence spécifique, utilisez l'applet de commande Get-DSUserLicense.

### Exemples

#### Exemple 1

```powershell
PS C:\> $licenses = Get-DSLicence
```

Obtenir toutes les licences, à l'exception de celle du serveur

#### Exemple 2

```powershell
PS C:\> $licResponse = Get-DSLicence -AsLegacyResponse;
        $licResponse.Data | Where -Property Status -eq Expired | Unregister-DSLicense
```

Supprimer toutes les licences expirées

#### Exemple 3

```powershell
PS C:\> $licResponse = Get-DSLicence;
        $license = $licResponse | Where -Property License -like XXXXX* | Select -First 1
        $assignResponse = Get-DSUserLicense -InputObject $license
        $assignments = $assignResponse.Data
        $aUserAssignment = $asssignments | Where Name -eq 'Name of the user to assign'
        $aUserAssignment.IsMember = $true
        Set-DSUserLicense -InputObject $aUserAssignment
```

Assigner la licence commençant par XXXXX à l'utilisateur 'Name of the user to assign'

### Paramètres

#### -AsLegacyResponse

Dans les versions antérieures à 2024.2, plusieurs applets de commande DS retournaient un objet ServerResponse. L'activation de ce commutateur de rétrocompatibilité permet aux scripts développés pour les versions antérieures de fonctionner correctement.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'information, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'information, tapez « Get-Help Get-DSLicense -detailed ». Pour de l'information technique, tapez « Get-Help Get-DSLicense -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/get-dslicense.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
